<!--

Copyright(C) 2013 KONICA MINOLTA, INC.

All rights reserved.

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

File Name:

    xdsmpl-pipelineconfig.xml

Abstract:

    XPSDrv sample driver filter configuration file. This identifies the
    filters that comprise the filter pipeline and their order.

-->

<Filters>
   <Filter dll            = "KOBJZX_N.dll"
           clsid          = "{CEFE2357-22C5-4d53-BF7D-6B7B2FEE358C}"
           name           = "Save Blank Paper filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
<!--
   <Filter dll            = "KOBJZX_J.dll"
           clsid          = "{1EE55BE0-D2A4-4c75-BB8C-32DDC27046D0}"
           name           = "Color Management Filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_P.dll"
           clsid          = "{B16F4A9B-10FD-4646-BB78-B665FC181C9E}"
           name           = "Pattern Filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
-->
   <Filter dll            = "KOBJZX_D.dll"
           clsid          = "{B5C73649-65B0-457e-A47B-D67786C83DF1}"
           name           = "Form Create Filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_E.dll"
           clsid          = "{E1E4341A-BEEC-455b-B6F5-8E88A26DC1EC}"
           name           = "Form Print Filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_B.dll"
           clsid          = "{8EB6DB3D-6089-4f39-B16F-8B3D0517C1E2}"
           name           = "Watermark filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_A.dll"
           clsid          = "{EE3BA9E7-2480-402d-AB9B-598FC0937C92}"
           name           = "Layout filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
<!--
   <Filter dll            = "KOBJZX_O.dll"
           clsid          = "{4FE840E7-70B3-4456-A2BB-EBE97121FAC8}"
           name           = "OHP filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
-->
   <Filter dll            = "KOBJZX_G.dll"
           clsid          = "{F862F68B-BDB2-4ea1-B946-2D2F7B7EA0A0}"
           name           = "Kugiri filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_C.dll"
           clsid          = "{DDAE6F8D-BA57-464c-B3E4-BCD43350F2E5}"
           name           = "CleanUp filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
   <Filter dll            = "KOBJZX_F.dll"
           clsid          = "{6ADA895D-A050-4899-8967-4137DF0F5C41}"
           name           = "AddPT Filter">
           <Input   guid  = "{b8cf8530-5562-47c4-ab67-b1f69ecf961e}" comment="IID_IXpsDocumentProvider"/>
           <Output  guid  = "{4368d8a2-4181-4a9f-b295-3d9a38bb9ba0}" comment="IID_IXpsDocumentConsumer"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
<!--
   <Filter dll            = "KOBJZX_L.dll"
           clsid          = "{DF41FF25-F741-48c6-B1E4-B1989FAC256D}"
           name           = "Raster(PS) filter">
           <Input   guid  = "{4d47a67c-66cc-4430-850e-daf466fe5bc4}" comment="IID_IPrintReadStream"/>
           <Output  guid  = "{65bb7f1b-371e-4571-8ac7-912f510c1a38}" comment="IID_IPrintWriteStream"/>
	   <Interleaving mode="MarkupFirst" pieceSize="0"/>
   </Filter>
-->
</Filters>


